/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
package jdct;

import jdct.*;
import dbStatic.* ;
import java.lang.* ;
import java.awt.*;
import java.awt.event.*;
import java.io.*;

class JdctSelectRecord
{
	private JdctManager manager;
	private JdctFrame frame;

	JdctSelectRecord(JdctFrame frame,JdctManager manager) {
		this.manager = manager;
		this.frame = frame;
	}

	final void newInputFileNotify() {
		DbBase dbBase = manager.getDbBase();
		DbEntry dbEntry = new DbEntry(dbBase);
		String recordTypename;

		if(frame.getTypeList().getItemCount()>0)
			frame.getTypeList().removeAll();
		if(!dbEntry.firstRecordType()) {
			// System.out.println("No record types");
		} else do {
			recordTypename = dbEntry.getRecordTypeName();
			frame.getTypeList().add(recordTypename);
		} while (dbEntry.nextRecordType());
		frame.pack();
		dbEntry.free();
	}
}
